package com.yeejoin.amos.patrol.business.param;

import com.yeejoin.amos.patrol.core.common.request.CommonPageable;

public class RoutePageParam extends CommonPageable{
	
	/**
	 * 路线编号
	 */
	private Long id;
	
	/**
	 * 路线名称
	 */
	private String name;
	
	/**
	 * 负责人
	 */
	private String boss;
	
	/**
	 * 负责人联系电话
	 */
	private String tel;
	
	/**
	 * 责任部门
	 */
//	private String deptName;
	
	private Long deptId;
	
	/**
	 * 责任人
	 */
	private String uname;
	
	/**
	 * 备注
	 */
	private String remark;

	/**
	 * 机构org code
	 */
	private String orgCode;
	
	/**
	 * 人员编号
	 */
	private String userId;



	private String bossName;
	//所属单位code
	private String bizOrgCode;
	//所属单位名称
	private String bizOrgName;
	//责任部门名称
	private String deptName;


	public String getBossName() {
		return bossName;
	}

	public void setBossName(String bossName) {
		this.bossName = bossName;
	}

	public String getBizOrgCode() {
		return bizOrgCode;
	}

	public void setBizOrgCode(String bizOrgCode) {
		this.bizOrgCode = bizOrgCode;
	}

	public String getBizOrgName() {
		return bizOrgName;
	}

	public void setBizOrgName(String bizOrgName) {
		this.bizOrgName = bizOrgName;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long routeNo) {
		this.id = routeNo;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getBoss() {
		return boss;
	}

	public void setBoss(String boss) {
		this.boss = boss;
	}

	public String getTel() {
		return tel;
	}

	public void setTel(String tel) {
		this.tel = tel;
	}

	public String getDeptName() {
		return deptName;
	}

	public void setDeptName(String deptName) {
		this.deptName = deptName;
	}

	public String getUname() {
		return uname;
	}

	public void setUname(String uname) {
		this.uname = uname;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public Long getDeptId() {
		return deptId;
	}

	public void setDeptId(Long deptId) {
		this.deptId = deptId;
	}
}
